| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__AlternateCOR Struct Reference

Alternate Class of Restrictions data. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | AlternateCORName
| Alternate Class of Restrictions. More...
xsd__int * | SwitchoverDuration
| Duration of the Switch over timer for activation/deactivation in minutes. More...
xsd__boolean * | EnableDurationTimer
| Enables or disables the switchover duration to override the day schedule. More...
xsd__boolean * | AllowCOSSFeatureAccessCodes
| Enables users to dial COSS Feature Access Codes. More...
xsd__boolean * | ScheduleOverridesDuration
| Allows users to override the schedule by dialing the feature access codes. More...
struct unsp__AltCORDayScheduleList * | AltCORDayScheduleList
| Day Schedule List. More...
struct unsp__AltCORDateScheduleList * | AltCORDateScheduleList
| Date Schedule List. More...

## Detailed Description

Alternate Class of Restrictions data.

## Member Data Documentation

## ◆ AllowCOSSFeatureAccessCodes

xsd__boolean* unsp__AlternateCOR::AllowCOSSFeatureAccessCodes

Enables users to dial COSS Feature Access Codes.

required: false
default value[range]: false

## ◆ AltCORDateScheduleList

struct unsp__AltCORDateScheduleList* unsp__AlternateCOR::AltCORDateScheduleList

Date Schedule List.

required: false

## ◆ AltCORDayScheduleList

struct unsp__AltCORDayScheduleList* unsp__AlternateCOR::AltCORDayScheduleList

Day Schedule List.

required: false

## ◆ AlternateCORName

xsd__string unsp__AlternateCOR::AlternateCORName

Alternate Class of Restrictions.

required: true
default value[range]: NA [1..32]

## ◆ EnableDurationTimer

xsd__boolean* unsp__AlternateCOR::EnableDurationTimer

Enables or disables the switchover duration to override the day schedule.

required: false
default value[range]: false

## ◆ ScheduleOverridesDuration

xsd__boolean* unsp__AlternateCOR::ScheduleOverridesDuration

Allows users to override the schedule by dialing the feature access codes.

required: false
default value[range]: false

## ◆ SwitchoverDuration

xsd__int* unsp__AlternateCOR::SwitchoverDuration

Duration of the Switch over timer for activation/deactivation in minutes.

required: false
default value[range]: 0 [0..60000]

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h